[
    {
        "Id": "f53ebe855678e1dced73aa49d2590b64f2555a6e14995e646536904f215ef0ef",
        "Created": "2025-08-19T15:06:05.978903637Z",
        "Path": "./start.sh",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 5266,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T21:11:26.483358129Z",
            "FinishedAt": "2025-08-22T21:11:26.204842676Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-24T11:28:03.308229496-04:00",
                        "End": "2025-08-24T11:28:03.395799674-04:00",
                        "ExitCode": 0,
                        "Output": "  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current\n                                 Dload  Upload   Total   Spent    Left  Speed\n\r  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0\r100    99  100    99    0     0   104k      0 --:--:-- --:--:-- --:--:-- 99000\n{\"version\":\"\",\"name\":\"GoTrue\",\"description\":\"GoTrue is a user registration and authentication API\"}"
                    },
                    {
                        "Start": "2025-08-24T11:28:08.39645092-04:00",
                        "End": "2025-08-24T11:28:08.468109546-04:00",
                        "ExitCode": 0,
                        "Output": "  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current\n                                 Dload  Upload   Total   Spent    Left  Speed\n\r  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0\r100    99  100    99    0     0  98409      0 --:--:-- --:--:-- --:--:-- 99000\n{\"version\":\"\",\"name\":\"GoTrue\",\"description\":\"GoTrue is a user registration and authentication API\"}"
                    },
                    {
                        "Start": "2025-08-24T11:28:13.469022116-04:00",
                        "End": "2025-08-24T11:28:13.561209445-04:00",
                        "ExitCode": 0,
                        "Output": "  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current\n                                 Dload  Upload   Total   Spent    Left  Speed\n\r  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0\r100    99  100    99    0     0   108k      0 --:--:-- --:--:-- --:--:-- 99000\n{\"version\":\"\",\"name\":\"GoTrue\",\"description\":\"GoTrue is a user registration and authentication API\"}"
                    },
                    {
                        "Start": "2025-08-24T11:28:18.561785142-04:00",
                        "End": "2025-08-24T11:28:18.660471376-04:00",
                        "ExitCode": 0,
                        "Output": "  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current\n                                 Dload  Upload   Total   Spent    Left  Speed\n\r  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0\r100    99  100    99    0     0    99k      0 --:--:-- --:--:-- --:--:-- 99000\n{\"version\":\"\",\"name\":\"GoTrue\",\"description\":\"GoTrue is a user registration and authentication API\"}"
                    },
                    {
                        "Start": "2025-08-24T11:28:23.661767366-04:00",
                        "End": "2025-08-24T11:28:23.740755229-04:00",
                        "ExitCode": 0,
                        "Output": "  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current\n                                 Dload  Upload   Total   Spent    Left  Speed\n\r  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0\r100    99  100    99    0     0   114k      0 --:--:-- --:--:-- --:--:-- 99000\n{\"version\":\"\",\"name\":\"GoTrue\",\"description\":\"GoTrue is a user registration and authentication API\"}"
                    }
                ]
            }
        },
        "Image": "sha256:bf732ca3af0185c5b821d57d67ad4fe7811f9907869cca248dcb4c67f21aebb3",
        "ResolvConfPath": "/var/snap/docker/common/var-lib-docker/containers/f53ebe855678e1dced73aa49d2590b64f2555a6e14995e646536904f215ef0ef/resolv.conf",
        "HostnamePath": "/var/snap/docker/common/var-lib-docker/containers/f53ebe855678e1dced73aa49d2590b64f2555a6e14995e646536904f215ef0ef/hostname",
        "HostsPath": "/var/snap/docker/common/var-lib-docker/containers/f53ebe855678e1dced73aa49d2590b64f2555a6e14995e646536904f215ef0ef/hosts",
        "LogPath": "/var/snap/docker/common/var-lib-docker/containers/f53ebe855678e1dced73aa49d2590b64f2555a6e14995e646536904f215ef0ef/f53ebe855678e1dced73aa49d2590b64f2555a6e14995e646536904f215ef0ef-json.log",
        "Name": "/appflowy-cloud-gotrue-1",
        "RestartCount": 3,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "appflowy-cloud_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "on-failure",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "f53ebe855678e1dced73aa49d2590b64f2555a6e14995e646536904f215ef0ef",
                "LowerDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5182f58a9f90bb3bc2b1e4cdc0811793ac4817f0186a231661f49feeab8885e-init/diff:/var/snap/docker/common/var-lib-docker/overlay2/2f75873b9df6b45b8daede875bd34f36bcd76c5bfced20930b2795a800aa8694/diff:/var/snap/docker/common/var-lib-docker/overlay2/79d4e29f3c1edb1efa9799ca2160822db61709d17ea1b4d940946f95a6440f57/diff:/var/snap/docker/common/var-lib-docker/overlay2/a582a0238cba22896ea96889de6030dd4ee85cb0112d9b9779610ca485f6f4a4/diff:/var/snap/docker/common/var-lib-docker/overlay2/fa5028103b987110fd8120eae09c1bf97bf61d3347d84753556c4c5bcd42f97b/diff:/var/snap/docker/common/var-lib-docker/overlay2/5c316c9bc290b3c0e4ac3e290a64b350551b1ae3a7adf088d5d8a47cca9baf41/diff:/var/snap/docker/common/var-lib-docker/overlay2/eea94b58c5c2b7cf4a33e9bdf52c29003cc5058a5d3ec55d18c9f3d3045eb96d/diff",
                "MergedDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5182f58a9f90bb3bc2b1e4cdc0811793ac4817f0186a231661f49feeab8885e/merged",
                "UpperDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5182f58a9f90bb3bc2b1e4cdc0811793ac4817f0186a231661f49feeab8885e/diff",
                "WorkDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5182f58a9f90bb3bc2b1e4cdc0811793ac4817f0186a231661f49feeab8885e/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [],
        "Config": {
            "Hostname": "f53ebe855678",
            "Domainname": "",
            "User": "supabase",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "GOTRUE_MAILER_URLPATHS_RECOVERY=/gotrue/verify",
                "API_EXTERNAL_URL=https://appflowy-server.pressmess.duckdns.org/gotrue",
                "GOTRUE_EXTERNAL_GOOGLE_CLIENT_ID=",
                "GOTRUE_SMTP_PASS=email_sender_password",
                "GOTRUE_SAML_PRIVATE_KEY=",
                "GOTRUE_EXTERNAL_GITHUB_ENABLED=false",
                "GOTRUE_RATE_LIMIT_EMAIL_SENT=100",
                "DATABASE_URL=postgres://postgres:password@postgres:5432/postgres?search_path=auth",
                "GOTRUE_MAILER_TEMPLATES_MAGIC_LINK=",
                "GOTRUE_SMTP_MAX_FREQUENCY=1ns",
                "GOTRUE_ADMIN_EMAIL=admin@example.com",
                "GOTRUE_EXTERNAL_GITHUB_REDIRECT_URI=https://appflowy-server.pressmess.duckdns.org/gotrue/callback",
                "GOTRUE_MAILER_URLPATHS_EMAIL_CHANGE=/gotrue/verify",
                "GOTRUE_SAML_ENABLED=false",
                "GOTRUE_MAILER_URLPATHS_CONFIRMATION=/gotrue/verify",
                "GOTRUE_JWT_SECRET=hello456",
                "GOTRUE_EXTERNAL_GOOGLE_SECRET=",
                "GOTRUE_DB_DRIVER=postgres",
                "GOTRUE_EXTERNAL_DISCORD_REDIRECT_URI=https://appflowy-server.pressmess.duckdns.org/gotrue/callback",
                "GOTRUE_EXTERNAL_DISCORD_ENABLED=false",
                "GOTRUE_DISABLE_SIGNUP=false",
                "GOTRUE_JWT_ADMIN_GROUP_NAME=supabase_admin",
                "GOTRUE_SMTP_HOST=smtp.gmail.com",
                "GOTRUE_EXTERNAL_GOOGLE_REDIRECT_URI=https://appflowy-server.pressmess.duckdns.org/gotrue/callback",
                "GOTRUE_EXTERNAL_GITHUB_CLIENT_ID=",
                "GOTRUE_MAILER_URLPATHS_INVITE=/gotrue/verify",
                "GOTRUE_SMTP_ADMIN_EMAIL=comp_admin@some_company.com",
                "PORT=9999",
                "GOTRUE_SMTP_PORT=465",
                "GOTRUE_ADMIN_PASSWORD=password",
                "GOTRUE_JWT_EXP=2592000",
                "GOTRUE_EXTERNAL_GITHUB_SECRET=",
                "GOTRUE_EXTERNAL_DISCORD_SECRET=",
                "GOTRUE_SMTP_USER=email_sender@some_company.com",
                "GOTRUE_SITE_URL=appflowy-flutter://",
                "GOTRUE_EXTERNAL_DISCORD_CLIENT_ID=",
                "GOTRUE_URI_ALLOW_LIST=**",
                "GOTRUE_MAILER_AUTOCONFIRM=true",
                "GOTRUE_EXTERNAL_GOOGLE_ENABLED=false",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": [
                "./start.sh"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD-SHELL",
                    "curl --fail http://127.0.0.1:9999/health || exit 1"
                ],
                "Interval": 5000000000,
                "Timeout": 5000000000,
                "Retries": 12
            },
            "Image": "appflowyinc/gotrue:latest",
            "Volumes": null,
            "WorkingDir": "/",
            "Entrypoint": null,
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "b7fc06d2df37a5f925f511f8976e9b21e26e658aa7bdcf553eb4f25481d8539b",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "postgres:service_healthy:false",
                "com.docker.compose.image": "sha256:bf732ca3af0185c5b821d57d67ad4fe7811f9907869cca248dcb4c67f21aebb3",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "appflowy-cloud",
                "com.docker.compose.project.config_files": "/home/jon/AppFlowy-Cloud/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/AppFlowy-Cloud",
                "com.docker.compose.replace": "61ff8b6b16329a4f8760937a6d005112b68611ea9f6fe3e0c244dc87715c91f1",
                "com.docker.compose.service": "gotrue",
                "com.docker.compose.version": "2.33.1"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "57e4eea37a80c5348c15427e317ee6e3e6cb8d7c861c2d866695d4b5123c6b5e",
            "SandboxKey": "/run/snap.docker/netns/57e4eea37a80",
            "Ports": {},
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "appflowy-cloud_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "appflowy-cloud-gotrue-1",
                        "gotrue"
                    ],
                    "MacAddress": "26:65:6f:76:eb:9b",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c",
                    "EndpointID": "06129d0036503aa753f890ab5b9419c8f5685a155b5b6eba25bef2ecd6331c13",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.7",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "appflowy-cloud-gotrue-1",
                        "gotrue",
                        "f53ebe855678"
                    ]
                }
            }
        }
    }
]
